Bug 803296 - (CVE-2011-4939) CVE-2011-4939 pidgin: NULL pointer dereference in the XMPP protocol plug-in by renaming user name
CVE-2011-4939 pidgin: NULL pointer dereference in the XMPP protocol plug-in b...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110708,reported=2...
: Security
Depends On: 803299 806709 806710 806711 806712
Blocks: 803303
  Show dependency treegraph
 
Reported: 2012-03-14 07:48 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-04 23:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-14 07:48:30 EDT
A NULL pointer dereference flaw was found in the way XMPP protocol plug-in of Pidgin, a Gtk+ based multiprotocol instant messaging client, performed change of user name for particular buddy. If a remote Pidgin user, present on the buddy list of the victim, changed their Pidgin nickname to specially-crafted value it would lead to Pidgin client crash.

Upstream bug report:
[1] http://developer.pidgin.im/ticket/14392

Upstream patch:
[2] http://developer.pidgin.im/viewmtn/revision/info/d1d77da56217f3a083e1d459bef054db9f1d5699

Upstream security page entry:
[3] http://pidgin.im/news/security/?id=60

CVE request:
[4] http://www.openwall.com/lists/oss-security/2012/03/14/2
Comment 2 Jan Lieskovsky 2012-03-14 07:54:00 EDT
Created pidgin tracking bugs for this issue

Affects: fedora-all [bug 803299]
Comment 3 Vincent Danen 2012-03-14 14:17:24 EDT
This was assigned the name CVE-2011-4939:

http://www.openwall.com/lists/oss-security/2012/03/14/7
Comment 14 Huzaifa S. Sidhpurwala 2012-07-04 23:32:09 EDT
Statement:

Not Vulnerable. This issue does not affect the version of pidgin as shipped with Red Hat Enterprise Linux 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.